#ifdef DLLDIR_EX
   #define DLLDIR  __declspec(dllexport)   // export DLL information
#else
   #define DLLDIR  __declspec(dllimport)   // import DLL information
#endif 

#include <string>
using namespace std;
//#include "Normalizer.h"
//#include "ConfigManager.h"

class Normalizer;
class ConfigManager;





class DLLDIR Normalization
{

private:
	bool initialized;
	ConfigManager *config;
	Normalizer *Decompose,*Compose,*KDecompose;
	
public:


	Normalization();
	~Normalization();
	void Clear();
	enum NormMode{NFD,NFC,NFKD};
	bool Initialize();
	int Normalize(unsigned char *source,int length, NormMode mode,unsigned char * result);   
};


